import call_tcache
export do_call_tcache

do_call_tcache:
		movem.l D3-D7/A2-A6,saveregs
		move.l  (SP),saveret
		move.l  #myret,(sp)
		move.l	call_tcache(PC),-(sp)
		rts
		
myret:
		movem.l saveregs,D3-D7/A2-A6
		move.l saveret,-(sp)
		rts
		
		BSS
saveregs:
		ds.l	10
saveret:
		ds.l	1
		END
